package com.jasamedika.medifirst2000.entities;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="UskomPemeriksaan_T")
public class UskomPemeriksaan extends BaseTransaction{

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="No Registrasi FK")
	@JoinColumn(name="NoRegistrasiFK")
	private AntrianPasienDiPeriksa noRegistrasi;
	
	@Column(name="NoRegistrasiFK", insertable=false, updatable=false, nullable=false)
	private String noRegistrasiId;
	
	@Caption(value="Luas Permukaan Tubuh")
	@Column(name="LuasPermukaanTubuh", length=50, nullable=true)
	private String luasPermukaanTubuh;
	
	@Caption(value="Diagnosa")
	@Column(name="Diagnosa", length=100, nullable=true)
	private String diagnosa;
	
	@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="uskomPemeriksaan")
	private Set<UskomListPemeriksaan> uskomListPemeriksaan = new HashSet<>();

	public AntrianPasienDiPeriksa getNoRegistrasi() {
		return noRegistrasi;
	}

	public void setNoRegistrasi(AntrianPasienDiPeriksa noRegistrasi) {
		this.noRegistrasi = noRegistrasi;
	}

	public String getNoRegistrasiId() {
		return noRegistrasiId;
	}

	public void setNoRegistrasiId(String noRegistrasiId) {
		this.noRegistrasiId = noRegistrasiId;
	}

	public String getLuasPermukaanTubuh() {
		return luasPermukaanTubuh;
	}

	public void setLuasPermukaanTubuh(String luasPermukaanTubuh) {
		this.luasPermukaanTubuh = luasPermukaanTubuh;
	}

	public String getDiagnosa() {
		return diagnosa;
	}

	public void setDiagnosa(String diagnosa) {
		this.diagnosa = diagnosa;
	}

	public Set<UskomListPemeriksaan> getUskomListPemeriksaan() {
		return uskomListPemeriksaan;
	}

	public void setUskomListPemeriksaan(Set<UskomListPemeriksaan> uskomListPemeriksaan) {
		this.uskomListPemeriksaan = uskomListPemeriksaan;
	}
	
}
